Subject: [mpls] RSVP-TE Fast Reroute

From: anathbandhu garai <[email-masked]>
Date: Wed, 10 Jan 2007 10:03:08 +0000 (GMT)

Hi,
 
 Can somebody help me to understand Fast Reroute Extensions to RSVP-TE for LSP Tunnels (rfc 4090)?
 
What I understand from the standard that is,
there are two backup methods according to the standard (rfc 4090) for LSP Tunnels -- One-to-One and Facility backup.
 
In case of One-to-One backup method, after the Resv message reaches at PLR from the downstream in the path of the protected LSP, then PLR signals Path message prior to link/node failure through a detour path destined to next-hop node (link-protection) or next-next-hop node (node protection).
 
In case of Facility backup method, after the Resv message reaches at PLR from the downstream in the path of the protected LSP, then PLR selects a bypass path (already exists) destined to next-hop node (link-protection) or next-next-hop node (node protection) and does not signals through that path prior to the link/node failure unless MP uses interface specific label.
 
Now if I am right, then how does PLR select backup path in both the cases?
I think that IGP can help to select the backup path in a single IGP domain.
 
But in case of inter-domain, is node-id subobject in RRO (rfc 4561) enough to do it?
 
Actually I am facing a problem to get the PLR behavior from the Cisco and as well as Juniper router
though I did not try using IGP.
Can anyone give me any suggestion regarding this? It will help me a lot.
 
Thanks in advance.
 
Regards,
Anath Bandhu Garai

__________________________________________________________
Yahoo! India Answers: Share what you know. Learn something new
http://in.answers.yahoo.com/

_______________________________________________
mpls mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mpls

---

From: Ramesh Huliyar <[email-masked]>
Date: Wed, 10 Jan 2007 18:00:50 +0530 (IST)

Hello Anath,

LSP (holds true for backup tunnel as well) are usually signalled to the node-id which would usually be the router-id also. So it is important to know the node-id of the downstream LSR in different domain (either area or autonomous systems). Now is only node-id sufficient to compute the backup-path, the answer is No. 

Section 3 of RFC4726 "Framework for Inter-Domain TE"  provides enough information to calculate a path to the egress in a different domain (in this case MP). I hope this solves your question.

Thanks
Ramesh Huliyar

----- Original Message ----
From: anathbandhu garai <[email-masked]>
To: [email-masked]
Sent: Wednesday, 10 January, 2007 3:33:08 PM
Subject: [mpls] RSVP-TE Fast Reroute

Hi,

 

Thanks in advance.

Regards,

Anath Bandhu Garai

		 
Here’s a new way to find what you're looking for - Yahoo! Answers _______________________________________________
mpls mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mpls